deepin-image-viewer (6.0.45) unstable; urgency=medium

  * fix: remove redundant liveTextActive guard in onPositionChanged
  * fix(livetext): show IBeam cursor over recognized text blocks

 -- Wang Yu <wangyu@uniontech.com>  Wed, 11 Jun 2026 10:00:00 +0800

deepin-image-viewer (6.0.44) unstable; urgency=medium

  * fix(delegate): add Ctrl+wheel navigation for NonexistImageDelegate

 -- Wang Yu <wangyu@uniontech.com>  Thu, 28 May 2026 19:49:43 +0800

deepin-image-viewer (6.0.43) unstable; urgency=medium

  * perf(dialog): disable enableInWindowBlendBlur for dialog title bars

 -- Wang Yu <wangyu@uniontech.com>  Mon, 25 May 2026 17:18:01 +0800

deepin-image-viewer (6.0.42) unstable; urgency=medium

  * fix: add defensive checks in checkSwitchEnable for async callback safety
  * fix: show prev/next buttons for single multi-page TIF file
  * fix(multi-image): fix blank page when switching multi-page TIFF frames
  * [skip CI] Translate deepin-image-viewer.ts in ru
  * [skip CI] Translate desktop.ts in ru

 -- Wang Yu <wangyu@uniontech.com>  Tue, 19 May 2026 19:09:48 +0800

deepin-image-viewer (6.0.41) unstable; urgency=medium

  * chore: Update version to 6.0.41
  * fix(info-dialog): remove window stays on top hint
  * [skip CI] Translate deepin-image-viewer.ts in ja
  * fix(info-dialog): auto-save filename on focus loss

 -- zhanghongyuan <zhanghongyuan@uniontech.com>  Fri, 08 May 2026 16:47:55 +0800

deepin-image-viewer (6.0.40) unstable; urgency=medium

  * fix(window): prevent window re-centering on image switch
  * fix: add dynamic sourceSize optimization for zoom clarity
  * fix(dialog): fix InformationDialog appearing at top-left corner
  * fix(image): Improve ltwLoader activation logic for image readiness
  * fix(image): Comment out ltwLoader activation for OCR testing
  * fix(image): Optimize image loading and caching for better performance

 -- Wang Yu <wangyu@uniontech.com>  Wed, 23 Apr 2026 20:50:00 +0800

deepin-image-viewer (6.0.39) unstable; urgency=medium

  * chore: Unify linglong.yaml

 -- wangrong <wangrong@uniontech.com>  Thu, 05 Mar 2026 19:26:22 +0800

deepin-image-viewer (6.0.38) unstable; urgency=medium

  * chore: Update compiler flags for security enhancements

 -- wangrong <wangrong@uniontech.com>  Wed, 04 Feb 2026 10:55:35 +0800

deepin-image-viewer (6.0.37) unstable; urgency=medium

  * chore: Update version to 6.0.37
  * fix(ui): show image filename in window title

 -- zhanghongyuan <zhanghongyuan@uniontech.com>  Thu, 22 Jan 2026 18:30:50 +0800

deepin-image-viewer (6.0.36) unstable; urgency=medium

  * Update version to 6.0.36. 

 -- Tian ShiLin <tianshilin@uniontech.com>  Wed, 07 Jan 2026 09:48:14 +0800

deepin-image-viewer (6.0.35) unstable; urgency=medium

  * chore: Update version to 6.0.35
  * fix(ui): preserve aspect ratio in thumbnail image display

 -- re2zero <yangwu@uniontech.com>  Sun, 04 Jan 2026 10:46:04 +0800

deepin-image-viewer (6.0.34) unstable; urgency=medium

  * Update dman's resources

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 25 Dec 2025 20:05:34 +0800

deepin-image-viewer (6.0.33) unstable; urgency=medium

  * chore: Update version to 6.0.33
  * feat: Support mips64 linglong build (#264)
  * build(cmake): improve Qt version detection logic
  * fix(ui): scale large images and preserve original dimensions
  * feat: add Lao and Japanese translations for print menu
  * feat: Add linglong.yaml for deepin-image-viewer (#263)

 -- zhanghongyuan <zhanghongyuan@uniontech.com>  Thu, 11 Dec 2025 18:44:33 +0800

deepin-image-viewer (6.0.32) unstable; urgency=medium

  * chore: Update linglong base and runtime

 -- wangrong <wangrong@uniontech.com>  Wed, 17 Sep 2025 14:34:56 +0800

deepin-image-viewer (6.0.31) unstable; urgency=medium

  * fix: Add Lao language translations to deepin-image-viewer.desktop

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 13 Aug 2025 13:32:11 +0800

deepin-image-viewer (6.0.30) unstable; urgency=medium

  * Update version to 6.0.30.

 -- Tian ShiLin <tianshilin@uniontech.com>  Thu, 07 Aug 2025 16:07:30 +0800

deepin-image-viewer (6.0.29) unstable; urgency=medium

  * fix bugs

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Tue, 22 Jul 2025 20:55:26 +0800

deepin-image-viewer (6.0.28) unstable; urgency=medium

  * fix: About interface application homepage display abnormality

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Fri, 11 Jul 2025 10:17:40 +0800

deepin-image-viewer (6.0.27) unstable; urgency=medium

  * chore: Update deepin-manual resources (#252)

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 10 Jul 2025 19:00:51 +0800

deepin-image-viewer (6.0.26) unstable; urgency=medium

  * chore: update translations

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Fri, 27 Jun 2025 17:28:20 +0800

deepin-image-viewer (6.0.25) unstable; urgency=medium

  * chore: Update translations (#245)

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Mon, 23 Jun 2025 12:59:58 +0800

deepin-image-viewer (6.0.24) unstable; urgency=medium

  * chore: Update dman's resources

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 20 Jun 2025 18:38:23 +0800

deepin-image-viewer (6.0.23) unstable; urgency=medium

  * chore: update dependencies in configuration files

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 19 Jun 2025 21:53:37 +0800

deepin-image-viewer (6.0.22) unstable; urgency=medium

  * fix: fix OCR recognition crash on sw architecture when viewing images

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 19 Jun 2025 21:12:24 +0800

deepin-image-viewer (6.0.21) unstable; urgency=medium
    
    * Update version to 6.0.21

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 13 Jun 2025 16:55:08 +0800

deepin-image-viewer (6.0.20) unstable; urgency=medium

  * Update version to 6.0.20. 

 -- Tian ShiLin <tianshilin@uniontech.com>  Wed, 14 May 2025 13:21:50 +0800

deepin-image-viewer (6.0.19) unstable; urgency=medium

  * chore: update translations.
  * fix: Correct block dimensions and display issues in LiveText
  * refactor: Optimize loading with async Loaders(Bug: 310383)

 -- renbin <renbin@uniontech.com>  Thu, 17 Apr 2025 12:28:13 +0800

deepin-image-viewer (6.0.18) unstable; urgency=medium

  * chore: update translations.
  * fix: Set organization name and remove obsolete comment

 -- renbin <renbin@uniontech.com>  Thu, 10 Apr 2025 19:18:46 +0800

deepin-image-viewer (6.0.17) unstable; urgency=medium

  * Update version to 6.0.17

 -- renbin <renbin@uniontech.com>  Wed, 02 Apr 2025 15:49:35 +0800

deepin-image-viewer (6.0.16) unstable; urgency=medium

  * fix: update translations and config
  * [skip CI] Translate desktop.ts in ja [Manual Sync] (#220)
  * fix: can not start via dbus
  * chore: update desktop file

 -- renbin <renbin@uniontech.com>  Thu, 27 Mar 2025 16:53:26 +0800

deepin-image-viewer (6.0.15) unstable; urgency=medium

  * fix: ocr crash on loongarch(Bug: 304463)

 -- renbin <renbin@uniontech.com>  Thu, 06 Mar 2025 17:43:15 +0800

deepin-image-viewer (6.0.14) unstable; urgency=medium

  * Bump version to 6.0.14

 -- wangrong <wangrong@uniontech.com>  Thu, 27 Feb 2025 19:33:03 +0800

deepin-image-viewer (6.0.13) unstable; urgency=medium

  * chore: Adjust paths for linglong application(Bug: 303741)

 -- wangrong <wangrong@uniontech.com>  Fri, 21 Feb 2025 13:41:42 +0800

deepin-image-viewer (6.0.12) unstable; urgency=medium

  * chore: Update linglong base
  * fix: Add command-line support for quick printing(Bug: 303741)

 -- renbin <renbin@uniontech.com>  Thu, 20 Feb 2025 19:38:36 +0800

deepin-image-viewer (6.0.11) unstable; urgency=medium

  * chore: Support linglong building base on Qt6.8 runtime

 -- renbin <renbin@uniontech.com>  Fri, 14 Feb 2025 09:29:39 +0800

deepin-image-viewer (6.0.10) unstable; urgency=medium

  * fix: ocr position offset on HiDPI displays(Bug: 275403)

 -- renbin <renbin@uniontech.com>  Fri, 27 Dec 2024 14:04:47 +0800

deepin-image-viewer (6.0.9) unstable; urgency=medium

  * fix: can not rotate after rename.
  * fix: hide btn when only single image.
  * fix: shortcut hide information dialog.

 -- xiepengfei <xiepengfei@uniontech.com>  Sat, 14 Dec 2024 10:57:46 +0800

deepin-image-viewer (6.0.8) unstable; urgency=medium

  * remove freeimage.

 -- xiepengfei <xiepengfei@uniontech.com>  Sat, 07 Dec 2024 13:49:22 +0800

deepin-image-viewer (6.0.7) unstable; urgency=medium

  * fix: cannot drag window with title bar(Bug: 269541)

 -- renbin <renbin@uniontech.com>  Fri, 27 Sep 2024 09:32:29 +0800

deepin-image-viewer (6.0.6) unstable; urgency=medium

  * fix: shortcut and log file(Bug: 273543)
  * fix: error pop-up deletion dialog(Bug: 273813)
  * fix: move show shortcut panel to mainwindow(Bug: 273543)
  * feat: [translation]add transifex config(Task: 361363)

 -- renbin <renbin@uniontech.com>  Fri, 20 Sep 2024 13:06:24 +0800

deepin-image-viewer (6.0.5) unstable; urgency=medium

  * fix: image switching does not retain settings(Bug: 270339)(Influence: keep-image-status)
  * fix: only current item need blur(Bug: 270339)
  * chore: [dbus] Adapt V25 dde-file-manager dbus service name changed

 -- renbin <renbin@uniontech.com>  Thu, 05 Sep 2024 16:33:15 +0800

deepin-image-viewer (6.0.4) unstable; urgency=medium

  * fix: Improve image load policy(Bug: 254141)
  * chore(CI): add debian check workflow
  * fix: warning output
  * fix: wrong open image icon component(Bug: 206551)
  * fix: can't copy live text with shortcut(Bug: 219989)
  * fix: rename dialog layout(Bug: 167969)
  * fix: wrong text translation(Bug: 165223)
  * fix: button and icon state(Bug: 168641)
  * fix: remove unnecessary info(Bug: 167479)(Influence: AboutDialog)
  * fix: style for not-existent images(Bug: 213323)
  * fix: information dialog layout(Bug: 168015)
  * fix: live text button position and palette(Bug: 168833)
  * fix: palette of title bar in different states(Bug: 167839)(Influence: TitleBar)
  * fix: adjust openimagewidget and informationdialog(Bug: 168015)
  * fix: navigation and right menu(Bug: 167955)
  * Fix: add delete confirmation dialog(Bug: 167807)
  * feat: adapt qt6
  * fix: release resources on quit
  * feat: fit to window and navigation animation(Influence: Animation)
  * feat: sync scale and navigation animation(Influence: Animation)
  * feat: thumbnail view fade in/out animation(Influence: Animation)
  * feat: image switching animation(Influence: Animation)
  * feat: thumbnail switching animation(Influence: Animation)
  * feat: image rotation animation(Influence: Animation)
  * fix: navigation not update while image rotate(Influence: Animation)
  * fix: right menu delete not work
  * fix: some animation errors(Bug: 268449)(Influence: Animation)
  * fix: info dialog adapt diff font size(Bug: 268607)
  * fix: image index wrong after delete
  * fix: ui/ocr/reinitialization error(Bug: 268607)

 -- renbin <renbin@uniontech.com>  Thu, 15 Aug 2024 17:22:13 +0800

deepin-image-viewer (6.0.3) unstable; urgency=medium

  * fix: build failed with libraw after version 0.21.0(Influence: RAW)
  * fix: Fixed the issue where high-resolution screen 
         icons were displayed too large.(Issue: 4884)
  * fix: The name "InfomationDialog" in the tr translation file dose
         not correspond to the qml file name.(Bug: 208451)
  * fix: The right-click menu disappears after slideshow.
         (Bug: 208417)(Influence: RightClickMenu)

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 08 Sep 2023 14:28:59 +0800

deepin-image-viewer (6.0.2) unstable; urgency=medium

  * fix: AboutDialog's titlebar tearing shadow (#140)(Issue: 4222)

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 11 May 2023 13:29:44 +0800

deepin-image-viewer (6.0.1) unstable; urgency=medium

  * Update version to 6.0.1

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 04 Apr 2023 16:08:32 +0800

deepin-image-viewer (6.0.0) unstable; urgency=medium

  * V23 code migration.

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 01 Jan 2023 11:36:35 +0800

deepin-image-viewer (1.0.0) unstable; urgency=medium

  * Initial release 

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Wed, 24 Feb 2016 14:15:54 +0800
